<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>MyConfig.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">astrapay-otp</a> &gt; <a href="index.source.html" class="el_package">com.astrapay.otp.config</a> &gt; <span class="el_source">MyConfig.java</span></div><h1>MyConfig.java</h1><pre class="source lang-java linenums">package com.astrapay.otp.config;

import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.cors.CorsConfiguration;
import org.springframework.web.cors.UrlBasedCorsConfigurationSource;
import org.springframework.web.filter.CorsFilter;
import java.util.Arrays;

@Configuration
<span class="fc" id="L12">public class MyConfig {</span>
    @Bean
    public FilterRegistrationBean corsFilter() {
<span class="fc" id="L15">        UrlBasedCorsConfigurationSource source = new UrlBasedCorsConfigurationSource();</span>
<span class="fc" id="L16">        CorsConfiguration config = new CorsConfiguration();</span>
<span class="fc" id="L17">        config.setAllowCredentials(true);</span>
<span class="fc" id="L18">        config.addAllowedOrigin(&quot;*&quot;);</span>
<span class="fc" id="L19">        config.addAllowedHeader(&quot;*&quot;);</span>
<span class="fc" id="L20">        config.setAllowedMethods(Arrays.asList(&quot;GET&quot;, &quot;HEAD&quot;, &quot;POST&quot;, &quot;PUT&quot;, &quot;DELETE&quot;, &quot;OPTIONS&quot;));</span>
<span class="fc" id="L21">        source.registerCorsConfiguration(&quot;/**&quot;, config);</span>
<span class="fc" id="L22">        FilterRegistrationBean bean = new FilterRegistrationBean(new CorsFilter(source));</span>
<span class="fc" id="L23">        bean.setOrder(0);</span>
<span class="fc" id="L24">        return bean;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>